Summary: Client and servers for the rsh, rcp, and rlogin commands
Name: rsh
Version: 0.10
Release: 4
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rsh-0.10.tar.gz
Source1: rexec.pam
Source2: rlogin.pam
Source3: rsh.pam
Patch: netkit-rsh-0.10-misc.patch
Patch1: netkit-rsh-0.10-newpam.patch
Requires: inetd, pam >= 0.59
Buildroot: /var/tmp/rsh-root
Summary(de): Client und Server fr die rsh-, rcp- und rlogin-Befehle 
Summary(fr): Clients et serveurs pour les commandes rsh, rcp, et rlogin
Summary(tr): rsh, rcp ve rlogin komutlar iin istemci ve sunucular

%changelog
* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>

- built against new ncurses

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>

- new pam conventions

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>

- initial build

%description
Rsh, rlogin, and rcp are a suite of programs which allow users to run
commands on remote machines, login into other machines, and copy files
between machines. All of these commands use rhosts style authentication.
This package includes the client and servers needed for all of these
services, as well as a server for rexec, which is an alternate method
of executing remote commands. All of these servers are run from
inetd and configured through /etc/inetd.conf and PAM. The rexecd server
is disabled by default, but the rest are enabled.

%description -l de
Rsh, rlogin und rcp sind eine Suite von Programmen, die dem Benutzer 
gestatten, Befehle auf entfernen Computern auszufhren, sich in andere 
Computer einzuloggen und Dateien zwischen Computern hin- und 
herzukopieren. Alle diese Befehle benutzen die Stil-Authentikation 
von rhost. Dieses Paket schliet den Client und die Server ein, die 
fr alle diese Dienste erforderlich sind, sowie einen Server fr rexec, 
die alternative Methode zur Ausfhrung entfernter Befehle. Alle diese 
Server werden von inetd betrieben und durch /etc/inetd.conf und 
PAM konfiguriert. Der rexecd-Server ist standardmig deaktiviert, die 
brigen sind aktiviert. 

%description -l fr
rsh, rlogin et rcp sont un ensemble de programmes permettant aux
utilisateurs de lancer des commandes sur des machines distantes. Toutes
ces commandes utilisent une authentification de style rhosts. Ce
paquetage contient le client et les serveurs ncessaires pour tous ces
services ainsi qu'un serveur pour rexec, qui est une autre mthode pour
excuter des commandes distantes. Tous ces serveurs sont lancs par
inetd et configurs par /etc/inetd.conf et PAM. Le serveur rexecd est
dsactiv par dfaut, le reste est activ. 

%description -l tr
rsh uzaktaki makinalarda komut yrtmeye, rlogin uzaktaki makinalara girmeye,
rcp de yerel makina ile uzaktaki makina arasnda dosya kopyalamaya yarayan
komutlardr. Hepsi, uygun ayarlandklarnda parola verilmesi gerekmeden bu
ilerin yrtlebilmesine olanak verirler. Bu pakette hem sunucu hem de
istemci ksmlar bulunmaktadr.

%prep
%setup -n netkit-rsh-0.10
%patch -p1
%patch1 -p1 -b .newpam

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install

install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/rexec.pam $RPM_BUILD_ROOT/etc/pam.d/rexec
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/rlogin.pam $RPM_BUILD_ROOT/etc/pam.d/rlogin
install -m 644 -o 0 -g 0 $RPM_SOURCE_DIR/rsh.pam $RPM_BUILD_ROOT/etc/pam.d/rsh

%clean
rm -rf $RPM_BUILD_ROOT

%files
/etc/pam.d/rsh
/etc/pam.d/rlogin
/etc/pam.d/rexec
/usr/bin/rcp
/usr/bin/rlogin
/usr/bin/rsh
/usr/man/man1/rcp.1
/usr/man/man1/rlogin.1
/usr/man/man1/rsh.1
/usr/man/man8/in.rexecd.8
/usr/man/man8/in.rlogind.8
/usr/man/man8/in.rshd.8
/usr/man/man8/rexecd.8
/usr/man/man8/rlogind.8
/usr/man/man8/rshd.8
/usr/sbin/in.rexecd
/usr/sbin/in.rlogind
/usr/sbin/in.rshd
